Bug 132398 - Adopt new main application icons
Summary: Adopt new main application icons
Status: ASSIGNED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:7.5.0
Keywords:
: 126518 139471 144140 145257 147348 150025 (view as bug list)
Depends on:
Blocks: MacOS-Wishlist UI-Theming
  Show dependency treegraph
 
Reported: 2020-04-25 10:26 UTC by Pedro
Modified: 2022-09-26 15:05 UTC (History)
15 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Icons proposed (367.63 KB, image/png)
2020-04-25 10:26 UTC, Pedro
Details
Application main icon (124.05 KB, image/png)
2020-04-30 10:01 UTC, Heiko Tietze
Details
Icons shared by Rizal on Telegram (14.85 KB, image/jpeg)
2022-02-03 10:18 UTC, Heiko Tietze
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro 2020-04-25 10:26:12 UTC
Created attachment 159916 [details]
Icons proposed

Considering that in 7.0, LO will have new branding in the about dialog, Start Center and loading banner it is also the perfect opportunity to introduce new app icons that are less generic and different from the file icons.

There's been ongoing work by the Design communnity in re-imagining the icons for LO and I would like to propose that this work becomes official and that new icons are introduced with 7.0.

After a lot of back and forth I would like to propose the icon concept done by Mohammed Rivan in attachment.
I see several advantages to this icon proposal:
1 - It keeps the original shape of the LO icons (the rectangular shape with a donkey ear),
2 - The icons are solid color. With the current focus on having light and dark themes in all OSes this means that the icons look good in both light and dark themes.
3 - They respect the LO color pallette.
4 - They follow modern design conventions, meaning that they will look good in most modern desktop environments like Plasma, Gnome 3, Windows 10 or MacOS.
Comment 1 andreas_k 2020-04-25 11:52:37 UTC
I prefer the icons from Rivan. They are easy to recognize and compare to what we have now simple. Fits good in app menues and taskbars.
Comment 2 Julien Nabet 2020-04-25 11:55:32 UTC
What's the license of this?
Comment 3 andreas_k 2020-04-25 12:09:21 UTC
second proposal for app icon redesign

https://dribbble.com/shots/5748727-LibreOffice-icons-redesign
Comment 4 V Stuart Foote 2020-04-25 15:35:32 UTC
Any artwork submission needs clear CC0 licensing and contributor release(s), M. Rivan has provided neither that could be found.
Comment 5 Muhammad Rivan 2020-04-26 01:35:23 UTC
Hi there! It's Andreas' that derived from my work. The icons license is "CC Attribution". So the authors are Muhammad Rivan Febrian and Andreas Kainz
Comment 6 V Stuart Foote 2020-04-26 06:17:44 UTC
(In reply to Muhammad Rivan from comment #5)
> Hi there! It's Andreas' that derived from my work. The icons license is "CC
> Attribution". So the authors are Muhammad Rivan Febrian and Andreas Kainz

@Muhamad, thanks for your involvement, but please submit your contributors statement [1]. Obviously, a 'CC0' grant works best for use in a FOSS project like LibreOffice, but 'CC BY' also works.

=-ref-=
[1] https://wiki.documentfoundation.org/Development/Developers#Example_Artist_Statement
Comment 7 Muhammad Rivan 2020-04-27 00:06:14 UTC
(In reply to V Stuart Foote from comment #6)
> (In reply to Muhammad Rivan from comment #5)
> > Hi there! It's Andreas' that derived from my work. The icons license is "CC
> > Attribution". So the authors are Muhammad Rivan Febrian and Andreas Kainz
> 
> @Muhamad, thanks for your involvement, but please submit your contributors
> statement [1]. Obviously, a 'CC0' grant works best for use in a FOSS project
> like LibreOffice, but 'CC BY' also works.
> 
> =-ref-=
> [1]
> https://wiki.documentfoundation.org/Development/
> Developers#Example_Artist_Statement

Oh, I sent my statement before reading your message. BTW, "CC BY" should be okay, right?
Comment 8 Heiko Tietze 2020-04-27 09:45:36 UTC
I don't see need for new MIME type icons as we have beautiful artwork [1]. The icons are made per theme anyway, which is questioned in bug 126074. Personally, I value a clear brand over fancy icons- but the donkey ear seems quite strong to me OTOH. Missing piece is a nice app icon, requested in bug 50278 (or bug 103177) and shown in [2].

More input was made on [3] and [4]. Problem is that MIME type icons use the same images as application icons, see [5].

The ticket here is a duplicate of bug 126518, but I'll make the other a dup.

[1] https://wiki.documentfoundation.org/Gallery_Icons
[2] https://apple.stackexchange.com/questions/338849/libreoffice-doesnt-have-an-icon
[3] https://listarchives.libreoffice.org/global/design/msg08995.html
[4] https://wiki.documentfoundation.org/Design/Mimetype_Icons/Proposals
[5] https://redmine.documentfoundation.org/issues/2910
Comment 9 Heiko Tietze 2020-04-27 09:46:15 UTC
*** Bug 126518 has been marked as a duplicate of this bug. ***
Comment 10 Pedro 2020-04-27 15:35:12 UTC
I would definitely not change the mime type icons. Just the application icons.
Comment 11 Rizal Muttaqin 2020-04-28 16:32:56 UTC
If we (In reply to Heiko Tietze from comment #8)
> I don't see need for new MIME type icons as we have beautiful artwork [1].

For MIME type icons, the official (not themed one by the icon theme) should follow also the new app icon to keep them in harmonize state. Current MIME type icons should be updated especially for the element inside the paper. We can leave the border color and the white paper color as is.
Comment 12 Rizal Muttaqin 2020-04-28 16:57:10 UTC
This worth mentioning, but I love Paulo's effort here albeit his design proposal still leave question for dark environment. Although he talked about MIME type but we could have inspiration from his work


https://bugs.documentfoundation.org/show_bug.cgi?id=96835#c2


https://wiki.documentfoundation.org/File:Pj-document-icon-2015-11-13-v2.png

https://wiki.documentfoundation.org/File:Pj-document-icon-2015-11-13-v1.png
Comment 13 Rizal Muttaqin 2020-04-28 16:58:40 UTC
(In reply to Rizal Muttaqin from comment #12)
> This worth mentioning, but I love Paulo's effort here albeit his design
> proposal still leave question for dark environment. Although he talked about
> MIME type but we could have inspiration from his work
> 
> 
> https://bugs.documentfoundation.org/show_bug.cgi?id=96835#c2
> 
> 
> https://wiki.documentfoundation.org/File:Pj-document-icon-2015-11-13-v2.png
> 
> https://wiki.documentfoundation.org/File:Pj-document-icon-2015-11-13-v1.png

More discussion here: 

http://document-foundation-mail-archive.969070.n3.nabble.com/Mime-Type-Icons-Redesign-Proposal-tc4165489.html
Comment 14 Rizal Muttaqin 2020-04-28 17:03:07 UTC
Then I found this gem, these icon proposals are really stand out!!!




https://wiki.documentfoundation.org/User:Paulojose
Comment 15 Heiko Tietze 2020-04-30 10:01:05 UTC
Created attachment 160118 [details]
Application main icon

My attempt for a nice app icon.
Comment 16 V Stuart Foote 2020-04-30 13:05:52 UTC
(In reply to Heiko Tietze from comment #15)
> Created attachment 160118 [details]
> Application main icon
> 
> My attempt for a nice app icon.

Distinctive, and opening folio to opposing Writer & Calc leafs is a good representation if the perspective can be cleaned up.

But if it is for LibreOffice branding, why "The Document Foundation" label?
Comment 17 Kenneth Hanson 2020-04-30 18:50:34 UTC
I really like the current icons, and I would prefer to see someone create filled versions in the style of the current white icons, than to adopt a new set of filled icons or replace the white icons.

More generally, I dislike the current trend of constantly changing application icons in the name of fashion. Whatever is fashionable now will soon become outdated and need to be replaced again. I think it's better to maintain a consistent, recognizable style.
Comment 18 Pedro 2020-05-02 10:06:59 UTC
Well, this isn't constant change...
The LibreOffice icons haven't been updated since the first time they appeared.
The UI paradigms have changed, so changing the icons after 10 years is hardly a frequent change...
Comment 19 Kenneth Hanson 2020-05-05 05:00:36 UTC
@Pedro

The length of time between changes not the issue.

You state "They follow modern design conventions, meaning that they will look good in most modern desktop environments like Plasma, Gnome 3, Windows 10 or MacOS."

I looked at the proposed icons, and they do indeed follow current design trends closely. Importantly, they look completely different from the existing icons.

This is what I interpret as change in the name of fashion, or more generally, change for the sake of change. This is what I disagree with.
Comment 20 fukolol 2021-02-21 10:27:39 UTC
I think the current icons are perfect, aside from the primary LibreOffice suite icon, which is too plain and looks like a generic file icon (on Windows), which makes it likely to be looked over in a cluttered desktop. It needs some extra detail on the sheet of paper to further differentiate it from a generic file. Other than that, I think the current icons' designs are perfect.
Comment 21 Heiko Tietze 2022-02-03 10:00:03 UTC
The topic started with a few application icons. Since we decided to have those themable (see bug 126074) a complete theme is welcome - and icon designers may pick up the idea, but the actual request is WF.

However, the thread made it clear that we need a better main icon. The plain TDF symbol (rectangular shape, donkey ear, black and white) is boring and does not fit well into the OS/DE design. So far the only proposal is what is referenced in comment 12. 

I updated the summary to v8. Would be nice to have something until then.
Comment 23 Michael Warner 2022-07-17 20:04:24 UTC
*** Bug 150025 has been marked as a duplicate of this bug. ***
Comment 24 Martin Terry 2022-07-25 16:10:58 UTC
Hi Guys,

I am an ordinary LO user who would like to make a suggestion. If you are redesigning the LO icons can you include the desktop icon which is created when LO is installed. I have used LO for several years and I cannot remember that being anything other than a boring empty white box with a fold in the top right corner (Microsoft default?) Nearly all the other icons on my desktop are customised to match the application. 

Thank you
Comment 25 Heiko Tietze 2022-07-26 12:38:59 UTC
(In reply to Martin Terry from comment #24)
> I have used LO for several years and I cannot remember
> that being anything other than a boring empty white box with a fold in the
> top right corner (Microsoft default?)

It's part of the topic, in particular for bug 50278
Comment 26 Martin Terry 2022-08-01 10:38:22 UTC
Comments #20 & #21 make the same point about the main desktop icon.

The attached image of suggested app main icon is interesting. Not sure how it would appear when squashed down to desktop size though!

Slightly confused by reference to bug 50278 as that seems to be a MACOS issue.
Comment 27 Heiko Tietze 2022-08-01 11:08:56 UTC
WIP, see https://fosstodon.org/@libodesign/108729928510768893
Comment 28 Heiko Tietze 2022-08-01 11:09:37 UTC
*** Bug 139471 has been marked as a duplicate of this bug. ***
Comment 29 Heiko Tietze 2022-08-01 11:10:25 UTC
*** Bug 144140 has been marked as a duplicate of this bug. ***
Comment 30 Heiko Tietze 2022-08-01 11:10:29 UTC
*** Bug 145257 has been marked as a duplicate of this bug. ***
Comment 31 Heiko Tietze 2022-08-01 11:10:33 UTC
*** Bug 147348 has been marked as a duplicate of this bug. ***
Comment 32 Commit Notification 2022-09-14 07:00:12 UTC
galjit committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/91672a9b353d404bcd7c81d99d1cf6a597b9cac3

Related tdf#132398 - Remove locolor icons

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 33 Heiko Tietze 2022-09-14 07:08:57 UTC
First patch removed the locolor icons. Follow-up's with new icons are coming.
Comment 34 Heiko Tietze 2022-09-14 07:09:18 UTC Comment hidden (obsolete)
Comment 35 Commit Notification 2022-09-26 15:05:20 UTC
galjit committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/298588598af246250a89baa492fade686c8df270

Related tdf#132398 - Remove Hicolor Assets for Future Revamping

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.